Subject: bug#34614: 26.1.92; When reading input in mini-buffer, message to each area overide the input prompt

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Feb 2019 21:02:44 +0200

> Date: Sun, 24 Feb 2019 19:31:10 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Yes, but I asked what kind of input event causes that.  Since you
>  > didn't type anything at this point, it cannot be keyboard input, so
>  > what non-keyboard event did that?
> 
> Elementary:
> 
> (gdb) p event->kind
> $8 = FILE_NOTIFY_EVENT

That's what I thought.  Does it help to explicitly restart sit-for for
the remainder of the time if this event comes in?

>  > Anyway, I cannot reproduce anything like that, your change in
>  > autorevert-handler works just fine for me on MS-Windows.  Did you test
>  > in "emacs -Q"?
> 
> With emacs -Q and 'global-auto-revert-mode' enabled.
> 
>  > It might also be important whether autorevert works with file
>  > notifications or not.
> 
> Does the above show that it does?  On Windows XP, if that matters.

Strange, I did the same.